<div *ngIf="isUserLogged">

    <button title="Add note" (click)="showForm()" class="icon">
        <img class="icon-img" src="../../../../assets/add-note-icon.png" alt="Add note">
    </button>


    <div *ngIf="personalNote && isMovieFavorite">
        <h3> Your personal notes: </h3>
        <p> {{personalNote}} </p>
    </div>

    <div *ngIf="!personalNote || !isMovieFavorite">
        <h3>No personal notes</h3>
        <p [ngClass]="{'opacity-hidden': isMovieFavorite}">Must add movie to favorites first.</p>
    </div>
    
    <form
    [ngClass]="{'opacity-hidden': !(isFormToggled && isMovieFavorite)}" 
    (submit)="submitNote()" [formGroup]="noteForm">
        <input formControlName="noteContent" type="text">
        <button type="submit" class="button small-btn primary margin-h10">Add</button>
    </form>
    
</div>
